<?php
try {
// -- connexion de la base de données --
 $bdd = new PDO('mysql:host=localhost;dbname=CoursPHP', 'root', 'mot_de_passe');
 $bdd->exec("SET CHARACTER SET utf8"); // Codage en UTF8
 // -- Exécution de la requête --
 $reponse = $bdd->query('SELECT * FROM personnes');
 // -- traitement des erreurs de retour sur la requête --
 if (!$reponse){
   throw new Exception('Problème de requête sur la table.'.PHP_EOL);
 }
 // -- Affichage des données retournées --
 echo "-- contenu de la table personnes ---".PHP_EOL;
 // -- Retourne d’un tableau associatif --
 $reponse->setFetchMode(PDO::FETCH_ASSOC); 
 // -- boucle de traitement de chaque personne -- 
 foreach ($reponse->fetchAll() as $etiquette => $une_personne)
 {
   echo $une_personne['ID']."\t";
   echo $une_personne['Nom']."\t";
   echo $une_personne['Prenom']."\t";
   echo $une_personne['Age']."\t";
   echo PHP_EOL;
 }
 $reponse->closeCursor();// Fermeture de la requête
 $bdd = NULL; // Fermeture de la connexion
}
catch(Exception $e) {
 echo 'Erreur : '.$e->getMessage();
}
?>
